Skip to content
Back to top
View this page

# Welcome to Python bindings to V2C Trydan EVSE documentation!

Installation & Usage

- Installation
- Usage

Project Info

- Changelog
  - v0.8.1 (2024-07-31)
  - v0.8.0 (2024-07-30)
  - v0.7.0 (2024-06-02)
  - v0.6.1 (2024-05-11)
  - v0.6.0 (2024-05-09)
  - v0.5.0 (2024-05-09)
  - v0.4.0 (2023-11-09)
  - v0.3.0 (2023-11-08)
  - v0.2.0 (2023-11-08)
  - v0.1.3 (2023-11-06)
  - v0.1.2 (2023-11-06)
  - v0.1.1 (2023-11-06)
  - v0.1.0 (2023-11-06)
  - v0.0.0 (2023-11-05)
- Contributing
  - Types of Contributions
  - Get Started!
  - Pull Request Guidelines
  - Tips
  - Making a new release

# Python bindings to V2C Trydan EVSE

Documentation: https://pytrydan.readthedocs.io

Source Code: https://github.com/dgomes/pytrydan

Library to interface with V2C EVSE Trydan

## Installation

Install this via pip (or your favourite package manager):

`pip install pytrydan`

## Usage

There is a command line `pytrydan` that can be used for basic interaction with the EVSE.

Retrieve the current status:

`$pytrydan status IP_OF_TRYDAN`

E.g. set current charging intensity using keyword “Intensity”

`$pytrydan set IP_OF_TRYDAN Intensity 16`

More information on available keywords

## Contributors ✨

Thanks goes to these wonderful people (emoji key):

This project follows the all-contributors specification. Contributions of any kind welcome!

## Credits

This package was created with Copier and the browniebroke/pypackage-template project template.